%define modname sha256
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 80_%{modname}.ini

Summary:	SHA256 Hashing Algorithms for PHP
Name:		php4-%{modname}
Version:	1.0
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://www.hardened-php.net/
Source0:	http://www.hardened-php.net/files/extensions/%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
BuildRequires:	php4-devel >= 4.4.4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SHA256 Hashing Algorithms for PHP.

%prep

%setup -q -n %{modname}-%{version}

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1
- initial Mandriva package
